For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

Retrieve a specific company-legal-entity-worker

GET
/company-legal-entity-workers/{id}/

Retrieve a specific company-legal-entity-worker

GET
/company-legal-entity-workers/{id}/

Retrieves details for a specific company legal entity worker association by ID.

Helpful resources

Required Scopes

  • company-legal-entity-workers.read

Request

Path Parameters
    id idrequired

    ID of the resource to return

Responses​

Successful response
Schema
    __meta object
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    id stringrequired

    Identifier field

    created_at stringrequired

    Record creation date

    updated_at stringrequired

    Record update date

    company_entity_id string

    The worker's associated company legal entity (CER ID).

    status string

    The worker's status within the organization.

    Possible values: [INIT,HIRED,ACCEPTED,ACTIVE,TERMINATED]
Loading...